Test fails in Whoosh 2.5.0

Create issue
Issue #329 resolved
aelmahmoudy created an issue

When building whoosh, running 'python2.7 setup.py test', resulting in the following error:

Traceback (most recent call last):
  File "setup.py", line 58, in <module>
    "Topic :: Text Processing :: Indexing",
  File "/usr/lib/python2.7/distutils/core.py", line 138, in setup
    ok = dist.parse_command_line()
  File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 232, in parse_command_line
    result = _Distribution.parse_command_line(self)
  File "/usr/lib/python2.7/distutils/dist.py", line 467, in parse_command_line
    args = self._parse_command_opts(parser, args)
  File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 558, in _parse_command_opts
    nargs = _Distribution._parse_command_opts(self, parser, args)
  File "/usr/lib/python2.7/distutils/dist.py", line 529, in _parse_command_opts
    if not issubclass(cmd_class, Command):
TypeError: issubclass() arg 1 must be a class

Comments (1)

  1. Log in to comment